org.richfaces.ui.behavior

## Class ClientBehavior

- java.lang.Object
- - javax.faces.component.behavior.BehaviorBase
  - - javax.faces.component.behavior.ClientBehaviorBase
    - - org.richfaces.ui.behavior.ClientBehavior

- All Implemented Interfaces:
    javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder
  Direct Known Subclasses:
    AjaxBehavior, ComponentControlBehavior, ToggleControl

      public abstract class ClientBehavior
      extends javax.faces.component.behavior.ClientBehaviorBase

  Author:
    Anton Belevich base class for the client behaviors

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientBehavior()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `compare(Serializable key, String name)`
    `protected javax.faces.context.FacesContext` | `getFacesContext()`
    `javax.faces.component.StateHelper` | `getStateHelper()`
    `javax.el.ValueExpression` | `getValueExpression(String name)`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `abstract void` | `setLiteralAttribute(String name, Object value)`
    `void` | `setLiteralValue(String name, javax.el.ValueExpression expression)`
    `void` | `setValueExpression(String name, javax.el.ValueExpression valueExpression)`

    - ### Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase

      `decode, getHints, getRenderer, getRendererType, getScript`

    - ### Methods inherited from class javax.faces.component.behavior.BehaviorBase

      `addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.Behavior

      `broadcast`

- - ### Constructor Detail

    - #### ClientBehavior

          public ClientBehavior()

  - ### Method Detail

    - #### getStateHelper

          public javax.faces.component.StateHelper getStateHelper()

    - #### getValueExpression

          public javax.el.ValueExpression getValueExpression(String name)

    - #### setValueExpression

          public void setValueExpression(String name,
                                javax.el.ValueExpression valueExpression)

    - #### getFacesContext

          protected javax.faces.context.FacesContext getFacesContext()

    - #### setLiteralValue

          public void setLiteralValue(String name,
                             javax.el.ValueExpression expression)

    - #### setLiteralAttribute

          public abstract void setLiteralAttribute(String name,
                                 Object value)

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.behavior.BehaviorBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.behavior.BehaviorBase`

    - #### compare

          protected boolean compare(Serializable key,
                        String name)

Copyright © 2014 JBoss by Red Hat. All rights reserved.